Results 1 to 7 of 7

Thread: BT5-Gnome-VM: msfupdate does not work

  1. #1
    Just burned his ISO
    Join Date
    Mar 2011
    Posts
    4

    Default BT5-Gnome-VM: msfupdate does not work

    I have tried quite a few times and the screen have been always like this:
    Code:
    [*][*] Attempting to update the Metasploit Framework[*]
    svn: /opt/framework3/lib/libssl.so.0.9.8: no version information available (required by /opt/framework3/lib/libserf-0.so.0)
    svn: /opt/framework3/lib/libcrypto.so.0.9.8: no version information available (required by /opt/framework3/lib/libserf-0.so.0)
    Error validating server certificate for 'https://metasploit.com:443':
     - The certificate is not issued by a trusted authority. Use the
       fingerprint to validate the certificate manually!
    Certificate information:
     - Hostname: metasploit.com
     - Valid: from Tue, 16 Mar 2010 12:09:59 GMT until Mon, 01 Apr 2013 22:02:24 GMT
     - Issuer: 07969287, http://certificates.godaddy.com/repository, GoDaddy.com, Inc., Scottsdale, Arizona, US
     - Fingerprint: da:16:ad:cb:4c:6f:7d:cf:b7:7e:5e:e5:f9:a7:a1:8b:3a:a2:6a:92
    (R)eject, accept (t)emporarily or accept (p)ermanently?
    I have tried (R), (t) and (p) but the result is:
    Code:
    svn: OPTIONS of 'https://metasploit.com/svn/framework3/trunk': Could not read status line: connection was closed by server (https://metasploit.com)
    I can update Metasploit on BT4 VM normally.

    What is the cause, and how to fix this issue?

  2. #2
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: BT5-Gnome-VM: msfupdate does not work

    Works over here:

    Code:
    root@evilbox:/pentest/exploits/framework3# svn up
    At revision 12590.
    root@evilbox:/pentest/exploits/framework3# msfupdate[*][*] Attempting to update the Metasploit Framework...[*]
    
    svn: /opt/framework3/lib/libssl.so.0.9.8: no version information available (required by /opt/framework3/lib/libserf-0.so.0)
    svn: /opt/framework3/lib/libcrypto.so.0.9.8: no version information available (required by /opt/framework3/lib/libserf-0.so.0)
    At revision 12590.
    root@evilbox:/pentest/exploits/framework3#
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  3. #3
    Just burned his ISO
    Join Date
    Mar 2011
    Posts
    4

    Default Re: BT5-Gnome-VM: msfupdate does not work

    I just tried again. It works now! =)
    Anyway thanks

  4. #4
    Just burned his ISO
    Join Date
    Sep 2010
    Posts
    7

    Default Re: BT5-Gnome-VM: msfupdate does not work

    yeah u hafto hammer it :I

    but apt-get update dont work that good (either) 25% everytime :S then its bye bye
    Last edited by krillerill; 05-12-2011 at 04:24 PM.

  5. #5
    Member
    Join Date
    Oct 2010
    Posts
    54

    Default Re: BT5-Gnome-VM: msfupdate does not work

    i have same problem when i use msfupdate command. but i use root@bt:/pentest/exploits/framework3# svn up it's work.

  6. #6
    Just burned his ISO Torombolo's Avatar
    Join Date
    Dec 2010
    Location
    Tijuana
    Posts
    15

    Default Re: BT5-Gnome-VM: msfupdate does not work

    You just need to run it 2 times, and it should work, happen to me on the VB Bt5 i have and on my USB persistent. same issue, just ran it 2 times. worked.
    Something something something...

  7. #7
    Just burned his ISO
    Join Date
    May 2011
    Posts
    3

    Thumbs down AW: BT5-Gnome-VM: msfupdate does not work

    No update works!! apt-get update not works any update not works!

Similar Threads

  1. Error al actualizar Metasploit con msfupdate
    By hackmaf in forum Soporte en Software
    Replies: 2
    Last Post: 01-17-2011, 03:30 AM
  2. Gnome instead of KDE?
    By ansabhailte in forum OLD Latest Public Release - BackTrack4 Beta
    Replies: 1
    Last Post: 04-14-2009, 08:29 AM
  3. Framework3-MsfUpdate not working?
    By imported_mzer0 in forum OLD Latest Public Release - BackTrack4 Beta
    Replies: 0
    Last Post: 03-03-2009, 06:53 AM
  4. Framework3 Msfupdate failed
    By Bud Jones in forum OLD Pentesting
    Replies: 7
    Last Post: 02-14-2009, 04:11 PM
  5. metasploit -msfupdate error - svn : PROFIND request error
    By aisketui in forum OLD BT3beta Software related issues
    Replies: 2
    Last Post: 02-11-2009, 03:23 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •